# eric7.EricWidgets.EricErrorMessageFilterDialog

Module implementing a dialog to manage the list of messages to be ignored.

### Global Attributes

None

### Classes

EricErrorMessageFilterDialog | Class implementing a dialog to manage the list of messages to be ignored.

### Functions

None

## EricErrorMessageFilterDialog

Class implementing a dialog to manage the list of messages to be ignored.

### Derived from

QDialog, Ui_EricErrorMessageFilterDialog

### Class Attributes

None

### Class Methods

None

### Methods

EricErrorMessageFilterDialog | Constructor
getFilters | Public method to get the list of message filters.

### Static Methods

None

#### EricErrorMessageFilterDialog (Constructor)

EricErrorMessageFilterDialog(messageFilters, parent=None)

Constructor

messageFilters (list of str)
  list of message filters to be edited
parent (QWidget)
  reference to the parent widget

#### EricErrorMessageFilterDialog.getFilters

getFilters()

Public method to get the list of message filters.

Return:
  error message filters (list of strings)

Up